# NOTE: compatibility package, will most likely go away after spice 0.12.6/0.13.0
Summary:	SPICE code generator
Summary(pl.UTF-8):	Generator kodu SPICE
Name:		spice-protocol-codegen
# the only spice-protocol release containing codegen
Version:	0.12.10
Release:	1
License:	BSD
Group:		Development/Tools
Source0:	http://www.spice-space.org/download/releases/spice-protocol-%{version}.tar.bz2
# Source0-md5:	1fb9d0dcdd42dce1b476ae8aa7569bcc
URL:		http://www.spice-space.org/
BuildRequires:	python >= 2
BuildRequires:	python-pyparsing
BuildRequires:	python-six
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	sed >= 4.0
Requires:	python-pyparsing
Requires:	python-six
Conflicts:	spice-protocol = 0.12.10
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SPICE code generator.

The Spice project aims to provide a complete open source solution for
interaction with virtualized desktop devices.

%description -l pl.UTF-8
Generator kodu SPICE.

Celem projektu Spice jest dostarczenie pełnego, mającego otwarte
źródła rozwiązania do interakcji z wirtualizowanymi urządzeniami
biurkowymi.

%prep
%setup -q -n spice-protocol-%{version}

%{__sed} -i -e '1s,/usr/bin/env python,%{__python},' spice_codegen.py

%build
# use arch-agnostic libdir
%configure \
	--libdir=%{_datadir} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_npkgconfigdir}/spice-protocol{,-codegen}.pc
%{__sed} -i -e '/^Name:/s/spice-protocol$/spice-protocol-codegen/' $RPM_BUILD_ROOT%{_npkgconfigdir}/spice-protocol-codegen.pc

%py_comp $RPM_BUILD_ROOT%{_datadir}/spice-protocol
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/spice-protocol
%py_postclean %{_datadir}/spice-protocol/python_modules

# packaged in spice-protocol
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/spice-1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING NEWS 
%dir %{_datadir}/spice-protocol
%{_datadir}/spice-protocol/spice.proto
%{_datadir}/spice-protocol/spice1.proto
%attr(755,root,root) %{_datadir}/spice-protocol/spice_codegen.py
%{_datadir}/spice-protocol/spice_codegen.py[co]
%dir %{_datadir}/spice-protocol/python_modules
%{_datadir}/spice-protocol/python_modules/*.py[co]
%{_npkgconfigdir}/spice-protocol-codegen.pc
%changelog
* Tue Apr 26 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/spice-protocol-codegen.git;a=log;h=master

* Sun Apr 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 88f0228
- save codegen from spice-protocol 0.12.10 for compatibility

* Fri Oct 02 2015 Jakub Bogusz <qboosh@pld-linux.org> cbb6b5e
- updated to 0.12.10
- added -codegen package

* Sat Aug 01 2015 Jakub Bogusz <qboosh@pld-linux.org> b0f253c
- updated to 0.12.9

* Wed Jul 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 2b431f4
- updated to 0.12.8

* Fri May 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 982f8ab
- updated to 0.12.7

* Fri Jul 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 702bb70
- updated to 0.12.6

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 9cd53d6
- updated to 0.12.5

* Sat Feb 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 4eef9c2
- updated to 0.12.4

* Fri Jan 04 2013 Jakub Bogusz <qboosh@pld-linux.org> b51cc5e
- updated to 0.12.3

* Tue Sep 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 6a9e3fc
- updated to 0.12.2

* Sun Sep 09 2012 Jakub Bogusz <qboosh@pld-linux.org> de8d641
- updated to 0.12.1

* Thu May 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 6239ba1
- updated to 0.10.3

* Wed Jan 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 0cb76cc
- updated to 0.10.1

* Sun Nov 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 9d71e05
- updated to 0.10.0

* Thu Jul 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 63af531
- updated to 0.8.1

* Fri Jul 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 8ccc0e8
- Group fix (there exists only base package which is for development)

* Fri Jul 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 93d54b2
- new

